body { padding: 0; margin: 0 }
#unity-container { position: absolute }
#unity-container.unity-desktop { left: 50%; top: 50%; transform: translate(-50%, -50%) }
#unity-container.unity-mobile { position: fixed; width: 100%; height: 100% }
#unity-canvas { background: #231F20 }
.unity-mobile #unity-canvas { width: 100%; height: 100% }
#unity-loading-bar { display: none; position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: #ffffff; z-index: 100; }
.custom-loading-content { display: flex; flex-direction: column; align-items: center; justify-content: center; position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); width: 100%; }
#unity-loading-text { color: #222; font-family: 'Arial', sans-serif; font-size: 16px; font-weight: bold; margin-bottom: 25px; letter-spacing: 2px; }
.custom-spinner { margin-top: 25px; width: 40px; height: 40px; border: 4px solid rgba(243, 114, 32, 0.2); border-radius: 50%; border-top-color: #f37220; animation: spin 1s linear infinite; }
@keyframes spin { to { transform: rotate(360deg); } }

#unity-footer { position: relative }
.unity-mobile #unity-footer { display: none }
#unity-logo-title-footer { float:left; width: 102px; height: 38px; background: url('../img/logo-new.png') no-repeat center; background-size: contain; }
#unity-build-title { float: right; margin-right: 10px; line-height: 38px; font-family: arial; font-size: 18px }
#unity-fullscreen-button { cursor:pointer; float: right; width: 38px; height: 38px; background: url('fullscreen-button.png') no-repeat center }
#unity-warning { position: absolute; left: 50%; top: 5%; transform: translate(-50%); background: white; padding: 10px; display: none }
